Bug Tracker – Bug 400

'Allow Freelook' switch broken

Last modified: 2008-05-04 06:37:36 UTC
Bug 400 - 'Allow Freelook' switch broken
Summary: 'Allow Freelook' switch broken
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.x Alpha
Hardware: All All
: P2 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks:
 
Reported: 2008-01-13 06:38 UTC by Ralph Vickers
Modified: 2008-05-04 06:37 UTC (History)
0 users

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Vickers 2008-01-13 06:38:39 UTC
If connected to a server, the freelook switch in Options > Mouse Setup > Allow Freelook will only take effect if the user RECONNECTS to the server.

However, if the user uses the console command "allowfreelook 1" the change will take effect immediately without a reconnect required.
Comment 1 Denis Lukianov 2008-01-13 06:49:36 UTC
the client menu sets cl_freelook and the server sets allowfreelook, looks like they get a bit confused if cl_freelook changes during a game
Comment 2 Denis Lukianov 2008-01-13 10:34:23 UTC
please test r518
Comment 3 Ralph Vickers 2008-01-14 04:51:36 UTC
The switch is fixed but now "allowfreelook" client side reveals the client's view on freelook as the server's.

Example: Go into a server with freelook enabled, set the client freelook switch in mouse options to off, type allowfreelook in console and it will tell you that allowfreelook is disabled. 

If you switch the client freelook switch back to on it will tell you it is enabled. I assume it should tell you the server's stance, not your client's.

The switch is fixed though
Comment 4 Denis Lukianov 2008-01-14 13:27:31 UTC
comment #3 fixed in r521
Comment 5 Ralph Vickers 2008-05-04 06:37:36 UTC
fixed as of r672